package com.ruoyi.ss.wxPayNotify.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 微信支付通知对象 sm_wx_pay_notify
 *
 * @author ruoyi
 * @date 2024-03-13
 */
public class SmWxPayNotify extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 通知id */
    private String notifyId;

    /** 订单id */
    @Excel(name = "订单id")
    private Long billId;

    /** 通知body */
    @Excel(name = "通知body")
    private String body;

    /** 解密后的明文 */
    @Excel(name = "解密后的明文")
    private String plaintext;

    public void setNotifyId(String notifyId)
    {
        this.notifyId = notifyId;
    }

    public String getNotifyId()
    {
        return notifyId;
    }
    public void setBillId(Long billId)
    {
        this.billId = billId;
    }

    public Long getBillId()
    {
        return billId;
    }
    public void setBody(String body)
    {
        this.body = body;
    }

    public String getBody()
    {
        return body;
    }
    public void setPlaintext(String plaintext)
    {
        this.plaintext = plaintext;
    }

    public String getPlaintext()
    {
        return plaintext;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("notifyId", getNotifyId())
            .append("billId", getBillId())
            .append("body", getBody())
            .append("plaintext", getPlaintext())
            .toString();
    }
}
